#include "GeometryElement.h"

GeometryElement::GeometryElement()
    : mFillColor(Color::Create(255, 255, 255)),
      mStrokeColor(Color::Create(0, 0, 0)),
      mStrokeThickness(1),
      mType(Type::Path)
{

}

Color* GeometryElement::GetFillColor() const
{
    return mFillColor.get();
}
Color* GeometryElement::GetStrokeColor() const
{
    return mStrokeColor.get();
}

unsigned GeometryElement::GetStrokeThickness() const
{
    return mStrokeThickness;
}

void GeometryElement::SetFillColor(ColorUPtr color)
{
    mFillColor = std::move(color);
}

void GeometryElement::SetStrokeColor(ColorUPtr color)
{
    mStrokeColor = std::move(color);
}

void GeometryElement::SetStrokeThickness(unsigned thickness)
{
    mStrokeThickness = thickness;
}
